<?php
define('_IN_JOHNCMS', 1);

$headmod = 'magic_number';
$textl = 'Магия числа';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

echo "<div class='phdr'>Магическое число</div>";

if (isset($_POST['submit'])) {
    $add = htmlspecialchars($_POST['add']);

    echo '<div class="gmenu"><h3>Вот чудо</h3>Символ числа:<b> ' . $add .
        '</b></div>
	<div class="menu"><a href="?">Назад</a><br/>';

} else {

    echo '<div class="rmenu">1. Задумайте любое двухзначное число.<br/> 
2. Вычтите из него составляющие его цифры<br/> 
(пример: Загадали (52)  52 - (5+2) = *45 ).<br/> 
3. *Найдите это число в таблице и символ, которому оно соответствует.<br/> 
4. Запомните этот символ.</div>';

    echo '<div class="gmenu"><b>Таблица:</b><br/>';

    $a = array("q", "z", "e", "l", "g");
    $c = array("a", "b", "c", "d", "f", "h", "i", "j", "k", "m", "n", "o", "p", "r",
        "s", "t", "u", "v", "w", "x", "y");
    $k = count($c);
    $rand = rand("0", "4");
    for ($i = 1; $i <= 99; $i++) {
        $r = rand("0", "$k");
        $b = $c[$r];
        if ($i % 9 == "0") {
            $b = $a[$rand];
        }
        print "$i-$b; ";
    }

    echo '</div><form action="?act=add" method="post"><div class="bmenu">
<input type = "hidden" name = "add" value  = "' . $a[$rand] . '"/>
<input type = "submit" name = "submit" value = "Далее"/></div></form><div class="menu">';
}
echo '<a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");
?>